Ubuntu 16.04 编译ffmpeg

ffmpeg依赖于yasm,因此要先编译安装yasm


1、下载ffmpeg/yasm

下载网址:
http://www.ffmpeg.org/download.html
http://yasm.tortall.net/Download.html

2、解压缩

ffmpeg-3.1.3.tar.bz2
yasm-1.3.0.tar.gz

3、编译yasm

注意:–prefix是万恶之源,新手请勿尝试
./configure
make
make install
如果没有权限,请添加sudo

4、编译ffmpeg

./configure –enable-shared –enable-static
make
make install
最好再执行一下ldconfig以免找不到链接库

5、使用ffmpeg ffplay ffprobe

ffmpeg是用于转码的应用程序。
ffplay是用于播放的应用程序。
ffprobe是用于查看文件格式的应用程序。

    ffplay test.avi
    ffmpeg -i input.avi output.ts
    ffprobe test.avi

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/miaomiao12345678/article/details/52346207
文章标签: ffmpeg
个人分类: ffmpeg
博主设置当前文章不允许评论。

没有更多推荐了,返回首页

不良信息举报

Ubuntu 16.04 编译ffmpeg

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭